package de.uni_bamberg.wiai.kinf.geopacman;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MenuActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu);

        Button startGameBtn = (Button) findViewById(R.id.start_btn);
        startGameBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startGame(v);
            }
        });
    }

    public void startGame(View v) {
        // Start service on game start
        Intent serviceIntent = new Intent(getApplicationContext(), GameService.class);
        startService(serviceIntent);
        // Start map activity
        Intent gameIntent = new Intent(getBaseContext(), MapActivity.class);
        startActivity(gameIntent);
    }

}
